{{- range $appSection, $values := .Values.genericProject }}
{{- if ne (index $values "enabled") false -}}
apiVersion: argoproj.io/v1alpha1
kind: AppProject
metadata:
  name: {{ index $values "name" | default $appSection | quote }}
  namespace: argocd
{{/*  finalizers:*/}}
{{/*    - resources-finalizer.argocd.argoproj.io*/}}
  labels:
    argocd.argoproj.io/instance: {{ $.Release.Name | quote }}
spec:
  description: {{ index $values "description" | quote }}
  sourceRepos: {{ index $values "sourceRepos" | toYaml | nindent 4 }}
  destinations:
  {{- range (index $values "destinations") }}
    - server: {{ .server | default "https://kubernetes.default.svc" | quote }}
      namespace: {{ .namespace | quote }}
  {{- end }}
  {{- if (index $values "permissions") }}
  {{- index $values "permissions" | toYaml | nindent 2}}
  {{- end }}
---
{{ end }}
{{- end }}
